PfSense 2.1.3 Custom Package Repository Erişim Problemi. (Çözüldü.)



  • Merhabalar;

    Kendi yazmış olduğum ve düzenlemiş olduğum paketleri repom'da tutuyordum. Bugün 2.1.3'e upgrade yaptıktan sonra Repo'ma ulaşamadığımı gördüm.

    2.1.3 Sürüme kadar XMLRPC alt (pfSense) dizinde tutuyorlardı.Artık onuda kök dizine almışlar.(Yazdıklarına göre Paket reposuna saldırı olmuş güvenlik açısından böyle birşey yapmıslar.)

    Eğer varolan bir repoyu 2.1.3 üzerinde çalıştırmak isterseniz pfSense klasoründeki dosyalari kök dizine kopyalamanız gerekiyor.Taşıma işlemi bittikten sonra xmlrpc.php dosyasında aşağıdaki değişikliği yapmanız gerekmektedir.

    45.satırın xmlrpc dizinin göstermesi gerekiyor.

    $path_to_files = './xmlrpc/';
    

    124. satırın paketlerin bulunduğu dizini göstermesi gerekiyor.Default olarak ../packages olarak geliyor. ./packages olarak değiştirmeniz gerekmektedir.(Artık paketleri hangi dizinde tutuyorsanız :) )

    $path_to_files = './packages/';
    

    Eğer kendi reponuzu oluşturmak isterseniz aşağıdaki makale'den faydalanabilirsiniz.

    https://doc.pfsense.org/index.php/Creating_Your_Own_Package_Repository



  • nekadar güzel bir şey yapmışsınız şuan virüs programları vs. kullanılamaz durumda 2.0 dan itibaren bütün sürümleri denedim havp çalışmadı siz çalıştırabiliyorsunuz sanırım kendi reponuzdan çektiğiniz için çalışan sürüm mevcuttur sizde reponuzu paylaşmayı düşünürmüsünüz ?

    oluşturmak isterim kendi repomu ancak hiçbir makale bulamadım bu konu ile ilgili yardımcı olurmusunuz ? sanırım apache server ihtiyacımız yada github ile yapıyor


Log in to reply